レンタルサーバ

PHPの提供ポリシーを知りたい

対象プラン

さくらのレンタルサーバ ライト スタンダード プレミアム ビジネス ビジネスプロ マネージド

【最終更新日:2021年7月8日】
PHPは、新しい機能追加やパフォーマンス向上、バグの修正などのため、頻繁にバージョンアップが行われます。 古くなったバージョンは、ベンダーでのサポートが終了するとセキュリティ更新プログラムが提供されないため、脆弱性が発見されても修正されないなど、セキュリティ上のリスクが高まります。
さくらのレンタルサーバでは、PHPを複数のバージョンの中から選択できますためお客様が安全にサービスを利用いただけるよう、以下のポリシーでPHPのアップデートを実施いたします。
本ページに記載のバージョンアップのポリシーは、PHP7以上に適用いたします。 サポートを終了しているバージョンについては、こちらをご確認ください。

メジャーバージョンアップ、マイナーバージョンアップとは

メジャーバージョンアップ

PHP提供ポリシー01

メジャーバージョンアップとは、新機能の追加や処理速度の向上など機能自体に大幅な変更がある場合を指します。 PHPの場合、互換性はある程度考慮されておりますが、機能向上のために命令自体の削除や仕様変更が行われることが多く、旧バージョンとの非互換部分が多くなりますので、アプリケーションによっては正常に動作しない事があります。 そのため、利用するPHPアプリケーションの推奨動作環境などの情報から、対応バージョンを確認してください。
WordPressは、最新版であれば概ね対応済みですので、常に最新版へアップデートしていただければ問題はありません。

マイナーバージョンアップ

PHP提供ポリシー02

マイナーバージョンアップとは、機能の改善やバグの修正など小規模な改訂を指します。 PHPの場合、一定の互換性は保たれるものの、機能改善やバグの修正箇所によっては一部仕様が変更され、非互換部分が出る場合もあります。 WordPressは、最新版であれば概ね対応済みですので、常に最新版へアップデートしていただければ問題はありません。

スケジュール

メジャーバージョンアップデート

PHP提供ポリシー03
  • 旧メジャーバージョンとの互換性が保たれない事が多いため、旧メジャーバージョンの指定が維持されます。この期間中、お客様自身でコントロールパネルから新メジャーバージョンへ変更することも可能です。
  • 新メジャーバージョン提供以降に新規にご契約されたさくらのレンタルサーバは、提供時の新メジャーバージョンが指定されています。

マイナーバージョンアップデート

PHP提供ポリシー04

移行期間について

移行期間①は新マイナーバージョンの提供開始から約2ヵ月後の月末まで、
移行期間②はバージョンアップ実施からセキュリティサポート終了日の約2週間前までです。

  • 提供終了日から約2ヵ月前に旧バージョンをご利用の方は、自動で新マイナーバージョンへアップデートを行い、メールにてご連絡いたします。自動でのバージョンアップ後も旧マイナーバージョンに変更できますが、セキュリティサポート終了日の約2週間前までに最新バージョンへアップデートし、旧バージョンの提供を終了いたします。
  • 移行期間終了日が、大型連休にあたる場合は前倒しで実施する場合がございます。
  • 基本的に、新旧バージョンとの移行期間をおき、最終的に新バージョンへ差し替えを行います。
  • 新マイナーバージョン提供時、一つ前のマイナーバージョンが選択されている場合、移行期間①までは旧マイナーバージョンを指定した状態が維持されます。この期間中、お客様自身でコントロールパネルから最新版に変更することも可能です。
  • 移行期間①と移行期間②の間、旧マイナーバージョンが指定されていたサーバは、移行期間①の終了時、および提供終了日から2ヶ月前頃に、自動的にその時点で最新版のバージョンへ切り替わります。ただし、提供終了日まで旧マイナーバージョンの提供は行われますので、新マイナーバージョンで動作に問題が出た場合は、コントロールパネルから旧マイナーバージョンへ切り替えていただき、提供終了までに新バージョンへの対策を取っていただく必要がございます。
  • 移行期間②の間、旧マイナーバージョンを指定していたサーバは、移行期間②の後、セキュリティサポート終了日の約2週間前からセキュリティサポート終了日の間に提供終了し、自動的に新マイナーバージョンへ切り替わります。旧マイナーバージョンは廃止され選択できなくなります。
  • 新マイナーバージョン提供以降、新規にご契約されたさくらのレンタルサーバは、提供時の新マイナーバージョンが指定されています。

現時点で公式に発表されているセキュリティサポート期限日

PHPバージョン セキュリティサポート期限日
7.3 2021/12/06
7.4(※) 2022/11/28
8.0 2023/11/26

※弊社提供ポリシーにより、セキュリティサポート終了以降も提供を続けます。しかしながら、セキュリティサポート終了後に重大な脆弱性が発見された場合、セキュリティリスクを解消するため予告なく提供終了する場合がございます。

サポート終了バージョンに関して

ご利用のアプリケーションが最新バージョンに対応してない可能性があることを考慮し、現在もサポートが終了しているバージョン(PHP5.2、5.3、5.4)を提供しておりますが、以下のリスクがあり、急な提供終了が発生する可能性があります。 早急に新しいPHPバージョンへの対応をご検討ください。

サポート終了バージョンを使用し続けるリスク

  • セキュリティパッチなどが提供されないため、脆弱性への対応ができません。
  • 重大なセキュリティ問題が発覚した場合は、即日提供を終了する場合があります。
  • さくらのレンタルサーバが利用しているOSの対応範囲外となった場合OSのバージョンアップをもって提供を終了する場合があります。

対応しているバージョンの確認方法

  • ご利用アプリケーションのベンダーサイトにて、推奨バージョンの確認や最新版のアプリケーションのダウンロードと更新をしてください。
    ※WordPressは、管理画面から最新版にアップデートができます。
  • 事前に、サーバコントロールパネルにてサポート終了以外のバージョンに変更し、問題なく動作するかを確認してください。問題が出た場合は元のバージョンに戻し対策を検討してください。
    ※互換性に関してある程度考慮されているため、アプリケーションによっては最新版で動作する可能性があります。
  • (2019年1月23日追記)
    「a-blog cms」「bingo!CMS」等で利用されている「ionCubeLoader」では、利用するサーバーのOSやPHPのバージョンにあったプログラムが用意されており、OSやPHPのバージョン情報を「php.ini」に記述し指定しています。OSやPHPのバージョンアップが行われることで、先にインストールされたプログラムとバージョンが不一致となり「a-blog cms」「bingo!CMS」等のアプリケーションが正常に動作しなくなることを確認しておりますため、OSやPHPのバージョンに依存するアプリケーションをご利用のお客様は、提供元のサポートページ等をご確認ください。

【最終更新日:2021年7月8日】
PHPは、新しい機能追加やパフォーマンス向上、バグの修正などのため、頻繁にバージョンアップが行われます。 古くなったバージョンは、ベンダーでのサポートが終了するとセキュリティ更新プログラムが提供されないため、脆弱性が発見されても修正されないなど、セキュリティ上のリスクが高まります。
さくらのレンタルサーバでは、PHPを複数のバージョンの中から選択できますためお客様が安全にサービスを利用いただけるよう、以下のポリシーでPHPのアップデートを実施いたします。
本ページに記載のバージョンアップのポリシーは、PHP7以上に適用いたします。 サポートを終了しているバージョンについては、こちらをご確認ください。

メジャーバージョンアップ、マイナーバージョンアップとは

メジャーバージョンアップ

PHP提供ポリシー01

メジャーバージョンアップとは、新機能の追加や処理速度の向上など機能自体に大幅な変更がある場合を指します。 PHPの場合、互換性はある程度考慮されておりますが、機能向上のために命令自体の削除や仕様変更が行われることが多く、旧バージョンとの非互換部分が多くなりますので、アプリケーションによっては正常に動作しない事があります。 そのため、利用するPHPアプリケーションの推奨動作環境などの情報から、対応バージョンを確認してください。
WordPressは、最新版であれば概ね対応済みですので、常に最新版へアップデートしていただければ問題はありません。

マイナーバージョンアップ

PHP提供ポリシー02

マイナーバージョンアップとは、機能の改善やバグの修正など小規模な改訂を指します。 PHPの場合、一定の互換性は保たれるものの、機能改善やバグの修正箇所によっては一部仕様が変更され、非互換部分が出る場合もあります。 WordPressは、最新版であれば概ね対応済みですので、常に最新版へアップデートしていただければ問題はありません。

スケジュール

メジャーバージョンアップデート

PHP提供ポリシー03
  • 旧メジャーバージョンとの互換性が保たれない事が多いため、旧メジャーバージョンの指定が維持されます。この期間中、お客様自身でコントロールパネルから新メジャーバージョンへ変更することも可能です。
  • 新メジャーバージョン提供以降に新規にご契約されたさくらのレンタルサーバは、提供時の新メジャーバージョンが指定されています。

マイナーバージョンアップデート

PHP提供ポリシー04

移行期間について

移行期間①は新マイナーバージョンの提供開始から約2ヵ月後の月末まで、
移行期間②はバージョンアップ実施からセキュリティサポート終了日の約2週間前までです。

  • 提供終了日から約2ヵ月前に旧バージョンをご利用の方は、自動で新マイナーバージョンへアップデートを行い、メールにてご連絡いたします。自動でのバージョンアップ後も旧マイナーバージョンに変更できますが、セキュリティサポート終了日の約2週間前までに最新バージョンへアップデートし、旧バージョンの提供を終了いたします。
  • 移行期間終了日が、大型連休にあたる場合は前倒しで実施する場合がございます。
  • 基本的に、新旧バージョンとの移行期間をおき、最終的に新バージョンへ差し替えを行います。
  • 新マイナーバージョン提供時、一つ前のマイナーバージョンが選択されている場合、移行期間①までは旧マイナーバージョンを指定した状態が維持されます。この期間中、お客様自身でコントロールパネルから最新版に変更することも可能です。
  • 移行期間①と移行期間②の間、旧マイナーバージョンが指定されていたサーバは、移行期間①の終了時、および提供終了日から2ヶ月前頃に、自動的にその時点で最新版のバージョンへ切り替わります。ただし、提供終了日まで旧マイナーバージョンの提供は行われますので、新マイナーバージョンで動作に問題が出た場合は、コントロールパネルから旧マイナーバージョンへ切り替えていただき、提供終了までに新バージョンへの対策を取っていただく必要がございます。
  • 移行期間②の間、旧マイナーバージョンを指定していたサーバは、移行期間②の後、セキュリティサポート終了日の約2週間前からセキュリティサポート終了日の間に提供終了し、自動的に新マイナーバージョンへ切り替わります。旧マイナーバージョンは廃止され選択できなくなります。
  • 新マイナーバージョン提供以降、新規にご契約されたさくらのレンタルサーバは、提供時の新マイナーバージョンが指定されています。

現時点で公式に発表されているセキュリティサポート期限日

PHPバージョン セキュリティサポート期限日
7.3 2021/12/06
7.4(※) 2022/11/28
8.0 2023/11/26

※弊社提供ポリシーにより、セキュリティサポート終了以降も提供を続けます。しかしながら、セキュリティサポート終了後に重大な脆弱性が発見された場合、セキュリティリスクを解消するため予告なく提供終了する場合がございます。

サポート終了バージョンに関して

ご利用のアプリケーションが最新バージョンに対応してない可能性があることを考慮し、現在もサポートが終了しているバージョン(PHP5.2、5.3、5.4)を提供しておりますが、以下のリスクがあり、急な提供終了が発生する可能性があります。 早急に新しいPHPバージョンへの対応をご検討ください。

サポート終了バージョンを使用し続けるリスク

  • セキュリティパッチなどが提供されないため、脆弱性への対応ができません。
  • 重大なセキュリティ問題が発覚した場合は、即日提供を終了する場合があります。
  • さくらのレンタルサーバが利用しているOSの対応範囲外となった場合OSのバージョンアップをもって提供を終了する場合があります。

対応しているバージョンの確認方法

  • ご利用アプリケーションのベンダーサイトにて、推奨バージョンの確認や最新版のアプリケーションのダウンロードと更新をしてください。
    ※WordPressは、管理画面から最新版にアップデートができます。
  • 事前に、サーバコントロールパネルにてサポート終了以外のバージョンに変更し、問題なく動作するかを確認してください。問題が出た場合は元のバージョンに戻し対策を検討してください。
    ※互換性に関してある程度考慮されているため、アプリケーションによっては最新版で動作する可能性があります。
  • (2019年1月23日追記)
    「a-blog cms」「bingo!CMS」等で利用されている「ionCubeLoader」では、利用するサーバーのOSやPHPのバージョンにあったプログラムが用意されており、OSやPHPのバージョン情報を「php.ini」に記述し指定しています。OSやPHPのバージョンアップが行われることで、先にインストールされたプログラムとバージョンが不一致となり「a-blog cms」「bingo!CMS」等のアプリケーションが正常に動作しなくなることを確認しておりますため、OSやPHPのバージョンに依存するアプリケーションをご利用のお客様は、提供元のサポートページ等をご確認ください。

関連記事

    関連記事はありません

一覧に戻る

お問い合わせ

上記をご確認いただいても問題が
解決しなかった場合、
下記リンク先よりお問い合わせください。

お問い合わせはこちら